[arch-commits] Commit in python-matplotlib/repos (8 files)

Felix Yan felixonmars at archlinux.org
Thu Jan 19 09:39:12 UTC 2017


    Date: Thursday, January 19, 2017 @ 09:39:12
  Author: felixonmars
Revision: 208017

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  python-matplotlib/repos/community-testing-i686/
  python-matplotlib/repos/community-testing-i686/PKGBUILD
    (from rev 208016, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-testing-i686/backports.functools_lru_cache.patch
    (from rev 208016, python-matplotlib/trunk/backports.functools_lru_cache.patch)
  python-matplotlib/repos/community-testing-i686/setup.cfg
    (from rev 208016, python-matplotlib/trunk/setup.cfg)
  python-matplotlib/repos/community-testing-x86_64/
  python-matplotlib/repos/community-testing-x86_64/PKGBUILD
    (from rev 208016, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-testing-x86_64/backports.functools_lru_cache.patch
    (from rev 208016, python-matplotlib/trunk/backports.functools_lru_cache.patch)
  python-matplotlib/repos/community-testing-x86_64/setup.cfg
    (from rev 208016, python-matplotlib/trunk/setup.cfg)

--------------------------------------------------------------+
 community-testing-i686/PKGBUILD                              |  134 ++++++++++
 community-testing-i686/backports.functools_lru_cache.patch   |   83 ++++++
 community-testing-i686/setup.cfg                             |    3 
 community-testing-x86_64/PKGBUILD                            |  134 ++++++++++
 community-testing-x86_64/backports.functools_lru_cache.patch |   83 ++++++
 community-testing-x86_64/setup.cfg                           |    3 
 6 files changed, 440 insertions(+)

Copied: python-matplotlib/repos/community-testing-i686/PKGBUILD (from rev 208016, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,134 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=2.0.0
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+              'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+             'python2-setuptools' 'python-cycler' 'python2-cycler' 'python2-backports.functools_lru_cache')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        setup.cfg backports.functools_lru_cache.patch)
+sha512sums=('b0e6d91aee5f91e0155c9e6716eef1a7e1fb907daeb93d603709142b749878fd758e42fe3707ac73c3d87959c6a35126c9e17c08ef78c5734106fafdf198f304'
+            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b'
+            'bbb143d3da33f8c64fcd1aa4d8dfe3d311b48b7ae8ace20e3946a3ba82a5c08d0f51f4e08a57f00f1af4d529ea834e012e242bad1dba31e3fea9b64081613ff8')
+
+prepare() {
+   # Use a better backport
+   (cd matplotlib-$pkgver; patch -p1 -i ../backports.functools_lru_cache.patch)
+   sed -i '/Subprocess32/d' matplotlib-$pkgver/setup.py
+
+   cp -a "$srcdir"/matplotlib-${pkgver}{,-py2}
+
+   cd "$srcdir"/matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+
+   cp -a "$srcdir"/matplotlib-${pkgver}{,-test}
+   cp -a "$srcdir"/matplotlib-${pkgver}-py2{,-test}
+
+   # Configure tests (FS#48175)
+   cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-test/
+   cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-py2-test/
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd "$srcdir"/matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd "$srcdir"/matplotlib-${pkgver}-test
+   python3 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2-test
+   python2 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-test
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2-test
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11' 'python2-backports.functools_lru_cache')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}

Copied: python-matplotlib/repos/community-testing-i686/backports.functools_lru_cache.patch (from rev 208016, python-matplotlib/trunk/backports.functools_lru_cache.patch)
===================================================================
--- community-testing-i686/backports.functools_lru_cache.patch	                        (rev 0)
+++ community-testing-i686/backports.functools_lru_cache.patch	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,83 @@
+commit bf9d9a931dd5e64ae92f5a5b2e8da8a9768a83ec
+Author: Felix Yan <felixonmars at archlinux.org>
+Date:   Thu Jan 19 15:54:02 2017 +0800
+
+    Use backports.functools_lru_cache instead of functools32
+    
+    It's better maintained and more widely used (by pylint, jaraco, etc).
+
+diff --git a/INSTALL b/INSTALL
+index 0a935d585..5873ad258 100644
+--- a/INSTALL
++++ b/INSTALL
+@@ -222,7 +222,7 @@ Required Dependencies
+ Dependencies for python 2
+ ^^^^^^^^^^^^^^^^^^^^^^^^^
+ 
+-`functools32 <https://pypi.python.org/pypi/functools32>`_
++`backports.functools_lru_cache <https://pypi.python.org/pypi/backports.functools_lru_cache>`_
+     Required for compatibility if running on Python 2.7.
+ 
+ `subprocess32 <https://pypi.python.org/pypi/subprocess32/>`_
+diff --git a/lib/matplotlib/font_manager.py b/lib/matplotlib/font_manager.py
+index fc29500e0..581061f90 100644
+--- a/lib/matplotlib/font_manager.py
++++ b/lib/matplotlib/font_manager.py
+@@ -64,7 +64,7 @@ from matplotlib.fontconfig_pattern import (
+ try:
+     from functools import lru_cache
+ except ImportError:
+-    from functools32 import lru_cache
++    from backports.functools_lru_cache import lru_cache
+ 
+ 
+ USE_FONTCONFIG = False
+diff --git a/setup.py b/setup.py
+index fbcec3677..1bd79e687 100644
+--- a/setup.py
++++ b/setup.py
+@@ -69,7 +69,7 @@ mpl_packages = [
+     setupext.Numpy(),
+     setupext.Six(),
+     setupext.Dateutil(),
+-    setupext.FuncTools32(),
++    setupext.BackportsFuncToolsLRUCache(),
+     setupext.Subprocess32(),
+     setupext.Pytz(),
+     setupext.Cycler(),
+diff --git a/setupext.py b/setupext.py
+index 34ac8b384..e02cdde79 100644
+--- a/setupext.py
++++ b/setupext.py
+@@ -1523,25 +1523,25 @@ class Dateutil(SetupPackage):
+         return [dateutil]
+ 
+ 
+-class FuncTools32(SetupPackage):
+-    name = "functools32"
++class BackportsFuncToolsLRUCache(SetupPackage):
++    name = "backports.functools_lru_cache"
+ 
+     def check(self):
+         if not PY3min:
+             try:
+-                import functools32
++                import backports.functools_lru_cache
+             except ImportError:
+                 return (
+-                    "functools32 was not found. It is required for"
++                    "backports.functools_lru_cache was not found. It is required for"
+                     "Python versions prior to 3.2")
+ 
+-            return "using functools32"
++            return "using backports.functools_lru_cache"
+         else:
+             return "Not required"
+ 
+     def get_install_requires(self):
+         if not PY3min:
+-            return ['functools32']
++            return ['backports.functools_lru_cache']
+         else:
+             return []
+ 

Copied: python-matplotlib/repos/community-testing-i686/setup.cfg (from rev 208016, python-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-i686/setup.cfg	                        (rev 0)
+++ community-testing-i686/setup.cfg	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,3 @@
+[packages]
+tests = True
+toolkits_tests = True

Copied: python-matplotlib/repos/community-testing-x86_64/PKGBUILD (from rev 208016, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,134 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=2.0.0
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+              'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+             'python2-setuptools' 'python-cycler' 'python2-cycler' 'python2-backports.functools_lru_cache')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        setup.cfg backports.functools_lru_cache.patch)
+sha512sums=('b0e6d91aee5f91e0155c9e6716eef1a7e1fb907daeb93d603709142b749878fd758e42fe3707ac73c3d87959c6a35126c9e17c08ef78c5734106fafdf198f304'
+            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b'
+            'bbb143d3da33f8c64fcd1aa4d8dfe3d311b48b7ae8ace20e3946a3ba82a5c08d0f51f4e08a57f00f1af4d529ea834e012e242bad1dba31e3fea9b64081613ff8')
+
+prepare() {
+   # Use a better backport
+   (cd matplotlib-$pkgver; patch -p1 -i ../backports.functools_lru_cache.patch)
+   sed -i '/Subprocess32/d' matplotlib-$pkgver/setup.py
+
+   cp -a "$srcdir"/matplotlib-${pkgver}{,-py2}
+
+   cd "$srcdir"/matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+
+   cp -a "$srcdir"/matplotlib-${pkgver}{,-test}
+   cp -a "$srcdir"/matplotlib-${pkgver}-py2{,-test}
+
+   # Configure tests (FS#48175)
+   cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-test/
+   cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-py2-test/
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd "$srcdir"/matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd "$srcdir"/matplotlib-${pkgver}-test
+   python3 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2-test
+   python2 setup.py build
+
+   cd "$srcdir"/matplotlib-${pkgver}-test
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd "$srcdir"/matplotlib-${pkgver}-py2-test
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11' 'python2-backports.functools_lru_cache')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}

Copied: python-matplotlib/repos/community-testing-x86_64/backports.functools_lru_cache.patch (from rev 208016, python-matplotlib/trunk/backports.functools_lru_cache.patch)
===================================================================
--- community-testing-x86_64/backports.functools_lru_cache.patch	                        (rev 0)
+++ community-testing-x86_64/backports.functools_lru_cache.patch	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,83 @@
+commit bf9d9a931dd5e64ae92f5a5b2e8da8a9768a83ec
+Author: Felix Yan <felixonmars at archlinux.org>
+Date:   Thu Jan 19 15:54:02 2017 +0800
+
+    Use backports.functools_lru_cache instead of functools32
+    
+    It's better maintained and more widely used (by pylint, jaraco, etc).
+
+diff --git a/INSTALL b/INSTALL
+index 0a935d585..5873ad258 100644
+--- a/INSTALL
++++ b/INSTALL
+@@ -222,7 +222,7 @@ Required Dependencies
+ Dependencies for python 2
+ ^^^^^^^^^^^^^^^^^^^^^^^^^
+ 
+-`functools32 <https://pypi.python.org/pypi/functools32>`_
++`backports.functools_lru_cache <https://pypi.python.org/pypi/backports.functools_lru_cache>`_
+     Required for compatibility if running on Python 2.7.
+ 
+ `subprocess32 <https://pypi.python.org/pypi/subprocess32/>`_
+diff --git a/lib/matplotlib/font_manager.py b/lib/matplotlib/font_manager.py
+index fc29500e0..581061f90 100644
+--- a/lib/matplotlib/font_manager.py
++++ b/lib/matplotlib/font_manager.py
+@@ -64,7 +64,7 @@ from matplotlib.fontconfig_pattern import (
+ try:
+     from functools import lru_cache
+ except ImportError:
+-    from functools32 import lru_cache
++    from backports.functools_lru_cache import lru_cache
+ 
+ 
+ USE_FONTCONFIG = False
+diff --git a/setup.py b/setup.py
+index fbcec3677..1bd79e687 100644
+--- a/setup.py
++++ b/setup.py
+@@ -69,7 +69,7 @@ mpl_packages = [
+     setupext.Numpy(),
+     setupext.Six(),
+     setupext.Dateutil(),
+-    setupext.FuncTools32(),
++    setupext.BackportsFuncToolsLRUCache(),
+     setupext.Subprocess32(),
+     setupext.Pytz(),
+     setupext.Cycler(),
+diff --git a/setupext.py b/setupext.py
+index 34ac8b384..e02cdde79 100644
+--- a/setupext.py
++++ b/setupext.py
+@@ -1523,25 +1523,25 @@ class Dateutil(SetupPackage):
+         return [dateutil]
+ 
+ 
+-class FuncTools32(SetupPackage):
+-    name = "functools32"
++class BackportsFuncToolsLRUCache(SetupPackage):
++    name = "backports.functools_lru_cache"
+ 
+     def check(self):
+         if not PY3min:
+             try:
+-                import functools32
++                import backports.functools_lru_cache
+             except ImportError:
+                 return (
+-                    "functools32 was not found. It is required for"
++                    "backports.functools_lru_cache was not found. It is required for"
+                     "Python versions prior to 3.2")
+ 
+-            return "using functools32"
++            return "using backports.functools_lru_cache"
+         else:
+             return "Not required"
+ 
+     def get_install_requires(self):
+         if not PY3min:
+-            return ['functools32']
++            return ['backports.functools_lru_cache']
+         else:
+             return []
+ 

Copied: python-matplotlib/repos/community-testing-x86_64/setup.cfg (from rev 208016, python-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-x86_64/setup.cfg	                        (rev 0)
+++ community-testing-x86_64/setup.cfg	2017-01-19 09:39:12 UTC (rev 208017)
@@ -0,0 +1,3 @@
+[packages]
+tests = True
+toolkits_tests = True



More information about the arch-commits mailing list